MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025818Community[OCCT] OCCT:Modeling Algorithmspublic2015-02-11 03:362015-05-14 15:31
ReporterAaron Michalk 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version32 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025818: IntTools_FaceFace throws Standard_ConstructionError with two unbounded planes
DescriptionThe following code throws a Standard_ConstructionError when run.
Steps To ReproduceHandle_Geom_Plane plane1(new Geom_Plane(gp_Ax3(gp_Pnt(0, 0, 0), gp_Dir(0, 0, 1), gp_Dir(1, 0, 0))));
Handle_Geom_Plane plane2(new Geom_Plane(gp_Ax3(gp_Pnt(0, 0, 0), gp_Dir(1, 0, 0), gp_Dir(0, 1, 0))));
BRep_Builder builder;
TopoDS_Face face1, face2;
builder.MakeFace(face1, plane1, Precision::Confusion());
builder.MakeFace(face2, plane2, Precision::Confusion());
IntTools_FaceFace intersection;
intersection.SetParameters(false, true, true, Precision::Confusion());
intersection.Perform(face1, face2);
#==========================================================
# Use the following DRAW commands to reproduce the problem:
#
plane pn1 0 0 0 0 0 1 1 0 0
plane pn2 0 0 0 1 0 0 0 1 0
mkface f1 pn1
mkface f2 pn2

bopcurves f1 f2
Additional information
and documentation updates
This did not throw the exception in 6.5.5.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25818
Attached Files

- Relationships

-  Notes
(0038021)
git (administrator)
2015-03-03 06:37

Branch CR25818 has been created by pkv.

SHA-1: f1b0b4f9c6344f087fcb296cac5424492bee0628


No new revisions were added by this update.
(0038022)
git (administrator)
2015-03-03 06:43

Branch CR25818 has been updated by pkv.

SHA-1: ee57417da161b8de614f762257f7eb981f6bc9bc


Detailed log of new commits:

Author: pkv
Date: Tue Mar 3 06:43:08 2015 +0300

    0025818: IntTools_FaceFace throws Standard_ConstructionError with two unbounded planes
    
    I. New features:
    No new features.
    
    II. Changes:
    II.1. class IntTools_FaceFace
        - method:
     void IntTools_FaceFace::Perform(const TopoDS_Face& aF1,
                                    const TopoDS_Face& aF2)
    The treatment of infinite planes was corrected.
    
    III. Modified entities:
    packages:
    IntTools

(0038023)
pkv (developer)
2015-03-03 06:46

Git branch CR25818 is ready to be reviewed.
(0038026)
emv (developer)
2015-03-03 08:50

Reviewed.
(0038141)
mkv (tester)
2015-03-05 13:12

Dear BugMaster,
Branch CR25818 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ee57417da161b8de614f762257f7eb981f6bc9bc

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 2 (2 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25818-master-occt-64/Debian60-64/bugs/modalg_5/bug25818.html [^]
http://occt-tests/CR25818-master-occt-64/Windows-64-VC10/bugs/modalg_5/bug25818.html [^]
bugs modalg_5(010) bug25818: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91963461 / 91830808
Total CPU difference: 58158.190000000046 / 59519.03999999998
products component :
Total MEMORY difference: 22998561 / 22971803
Total CPU difference: 15335.179999999995 / 16296.599999999988

Testing on Windows:
occt component :
Total MEMORY difference: 57945013 / 57944267
Total CPU difference: 29583.875 / 38926.375
products component :
Total MEMORY difference: 16198070 / 16203200
Total CPU difference: 9815.78125 / 9533.171875

There are no differences in images found by testdiff.
(0038143)
git (administrator)
2015-03-05 13:12

Branch CR25818 has been updated by mkv.

SHA-1: 31cc08a7f2af0bde105b233b18e328a412946b95


Detailed log of new commits:

Author: mkv
Date: Thu Mar 5 13:12:18 2015 +0300

    Test case for issue CR25818

(0038144)
mkv (tester)
2015-03-05 13:14

Dear emv,
could you please review test case
bugs modalg_5(010) bug25818
(0038148)
pkv (developer)
2015-03-05 13:40

Ok with
bugs modalg_5(010) bug25818
(0038604)
git (administrator)
2015-03-18 13:38

Branch CR25818 has been deleted by inv.

SHA-1: 31cc08a7f2af0bde105b233b18e328a412946b95

- Related Changesets
occt: master 9a5a19e9
Timestamp: 2015-03-05 12:02:49
Author: pkv
Committer: bugmaster
Details ] Diff ]
0025818: IntTools_FaceFace throws Standard_ConstructionError with two unbounded planes

Changes:
class IntTools_FaceFace
    - method:
 void IntTools_FaceFace::Perform(const TopoDS_Face& aF1,
                                const TopoDS_Face& aF2)
The treatment of infinite planes was corrected.

Test case for issue CR25818
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25818 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-11 03:36 Aaron Michalk New Issue
2015-02-11 03:36 Aaron Michalk Assigned To => msv
2015-02-11 13:14 msv Assigned To msv => pkv
2015-02-11 13:14 msv Status new => assigned
2015-03-03 06:37 git Note Added: 0038021
2015-03-03 06:43 git Note Added: 0038022
2015-03-03 06:45 pkv Steps to Reproduce Updated View Revisions
2015-03-03 06:46 pkv Status assigned => resolved
2015-03-03 06:46 pkv Note Added: 0038023
2015-03-03 06:47 pkv Assigned To pkv => emv
2015-03-03 08:50 emv Note Added: 0038026
2015-03-03 08:50 emv Assigned To emv => mkv
2015-03-03 08:50 emv Status resolved => reviewed
2015-03-05 13:12 mkv Note Added: 0038141
2015-03-05 13:12 git Note Added: 0038143
2015-03-05 13:14 mkv Note Added: 0038144
2015-03-05 13:14 mkv Assigned To mkv => emv
2015-03-05 13:14 mkv Status reviewed => feedback
2015-03-05 13:14 mkv Test case number => bugs modalg_5(010) bug25818
2015-03-05 13:39 emv Assigned To emv => pkv
2015-03-05 13:40 pkv Note Added: 0038148
2015-03-05 13:41 pkv Assigned To pkv => mkv
2015-03-05 13:42 mkv Assigned To mkv => bugmaster
2015-03-05 13:42 mkv Status feedback => tested
2015-03-06 15:13 bugmaster Changeset attached => occt master 9a5a19e9
2015-03-06 15:13 bugmaster Status tested => verified
2015-03-06 15:13 bugmaster Resolution open => fixed
2015-03-10 13:00 bugmaster Target Version => 6.9.0
2015-03-18 13:38 git Note Added: 0038604
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker